SDL_SetSurfaceClipRect(3)

NAME
SDL_SetSurfaceClipRect - Set the clipping rectangle for a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SetSurfaceClipRect(SDL_Surface *surface, const SDL_Rect *rect);

DESCRIPTION
When surface is the destination of a blit, only the area within the clip rectangle is drawn into.

Note that blits are automatically clipped to the edges of the source and destination surfaces.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to be clipped.

rect
    the SDL_Rect structure representing the clipping rectangle, or NULL to disable clipping.

RETURN VALUE
Returns true if the rectangle intersects the surface, otherwise false and blits will be completely clipped.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetSurfaceClipRect(3)